import type { Flag } from 'meow';
// TODO: not sure if I'm missing something but meow doesn't seem to expose this?
type StringFlag = Flag<'string', string> | Flag<'string', string[], true>;
type BooleanFlag = Flag<'boolean', boolean> | Flag<'boolean', boolean[], true>;
type NumberFlag = Flag<'number', number> | Flag<'number', number[], true>;
type AnyFlag = StringFlag | BooleanFlag | NumberFlag;
// Note: we use this description in getFlagListOutput, meow doesn't care
export type MeowFlags = Record<string, AnyFlag & {
    description: string;
    hidden?: boolean;
}>;
export declare const commonFlags: MeowFlags;
export declare const outputFlags: MeowFlags;
export declare const validationFlags: MeowFlags;
export {};
//# sourceMappingURL=flags.d.mts.map